QVIDEOOB(1)

NAME
qvideoob - search and play videos

SYNOPSIS
qvideoob [-h] [-dqv] [-b backends] ...
qvideoob [--help] [--version]

DESCRIPTION

Qt application allowing to search videos on various websites and play them.

  Supported websites:
* arretsurimages (arretsurimages website)
* arte (Arte French and German TV)
* canalplus (Canal Plus French TV)
* cappedtv (Capped.tv demoscene website)
* dailymotion (Dailymotion video streaming website)
* europarl (Europarl parliamentary video streaming website)
* francetelevisions (France Télévisions video website)
* gdcvault (Game Developers Conferences Vault video streaming website)
* ina (INA French TV video archives)
* jacquieetmichel (Jacquie et Michel TV)
* nolifetv (NolifeTV French video streaming website)
* quvi (Multi-website video helper with quvi. Handles Youtube, BBC, and a lot more)
* radiofrance (Radios of Radio France: Inter, Info, Bleu, Culture, Musique, FIP, Le Mouv')
* trictractv (TricTrac.tv video website)
* vimeo (Vimeo video streaming website)
* youjizz (YouJizz pornographic video streaming website)
* youporn (YouPorn pornographic video streaming website)
* youtube (YouTube video streaming website)

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

CONDITION
The -c and --condition is a flexible way to sort and get only interesting results. It supports conditions on numerical values, dates, and strings. Dates are given in YYYY-MM-DD format. The syntax of one expression is "field operator value". The field to test is always the left member of the expression.

The field is a member of the objects returned by the command. For example, a bank account has "balance", "coming" or "label" fields.

  The following operators are supported:

=   Test if object.field is equal to the value.

!=  Test if object.field is not equal to the value.

>   Test if object.field is greater than the value. If object.field is date, return true if value is before that object.field.

<   Test if object.field is less than the value. If object.field is date, return true if value is after that object.field.

|   This operator is available only for string fields. It works like the Unix standard grep command, and returns True if the pattern specified in the value is in object.field.

  Expression combination
You can make a expression combinations with the keywords " AND " and " OR ".

  Examples:
boobank ls --condition 'label=Livret A'
Display only the "Livret A" account.

boobank ls --condition 'balance>10000'
Display accounts with a lot of money.

boobank history account@backend --condition 'label|rewe'
Get transactions containing "rewe".

boobank history account@backend --condition 'date>2013-12-01 AND date<2013-12-09'
Get transactions betweens the 2th December and 8th December 2013.

COPYRIGHT
Copyright(C) 2010-2011 Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends" "~/.config/weboob/qvideoob"

SEE ALSO
Home page: http://weboob.org/applications/qvideoob